<div class="card">
    <h4 class="card-header">Creare pacient</h4>
    <div class="card-body">
        <form [formGroup]="createPatientForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="name">Nume</label>
                <input type="text" formControlName="name" id="name" class="form-control" />
                <div *ngIf="fields.name.touched && fields.name.invalid" class="alert alert-danger">
                    <div *ngIf="fields.name.errors!.required">Numele este necesar.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="cnp">CNP</label>
                <input type="text" formControlName="cnp" id="cnp" class="form-control" />
                <div *ngIf="fields.cnp.touched && fields.cnp.invalid" class="alert alert-danger">
                    <div *ngIf="fields.cnp.errors!.required">CNP-ul este necesar.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="age">Vârstă</label>
                <input type="number" formControlName="age" id="age" class="form-control" />
                <div *ngIf="fields.age.touched && fields.age.invalid" class="alert alert-danger">
                    <div *ngIf="fields.age.errors!.required">Vârsta este necesară.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="address">Adresă</label>
                <input type="text" formControlName="address" id="address" class="form-control" />
            </div>
            <div class="form-group">
                <label for="phone">Număr de telefon</label>
                <input type="text" formControlName="phone" id="phone" class="form-control" />
            </div>
            <div class="form-group">
                <label for="email">Adresa de email</label>
                <input type="text" formControlName="email" id="email" class="form-control" />
                <div *ngIf="fields.email.touched && fields.email.invalid" class="alert alert-danger">
                    <div *ngIf="fields.email.errors!.required">Adresa de email este necesară.</div>
                    <div *ngIf="fields.email.errors!.email">Formatul adresei de email nu este corespunzător.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!createPatientForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Creare
            </button>
        </form>
    </div>
</div>
